Skip to content

Create a payment

Request

Trigger a forwarded payment for an invoice belonging to one of your sub-merchants.

Send POST /payments with invoice_id and amount to create the forward payment in the partner API.

The payment will be forwarded from the bank account of the entity that receives payouts. If the payout receiver is the partner, the partner's bank account will be used. If the payout receiver is the sub-merchant, the sub-merchant's bank account will be used.

The invoice must be sent, and the payment amount must not exceed the invoice's outstanding balance.

Security
bearerAuth or basicAuth
Bodyapplication/json

Create a forwarded payment for a sub-merchant's invoice. This is the partner API trigger for POST /payments.

invoice_idstringrequired

ID of the invoice to create a payment for. The invoice must belong to one of your sub-merchants and must be sent.

Example:"PMMlaE5wbg0"
amountnumber, (double), > 0required

Payment amount in dollars. Must be greater than zero and must not exceed the invoice's outstanding balance.

Example:1000.5
curl -i -X POST \
  https://docs.resolvepay.com/_mock/partners-api/openapi/payments \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "invoice_id": "PMMlaE5wbg0",
    "amount": 1000.5
  }'

Responses

An object representing a payment.

Bodyapplication/json
idstring

Unique identifier for the payment.

Example:"PMMlaE5wbg0"
customer_idstring

Unique identifier of the customer that made the payment.

Example:"X50sgfRd"
sourcestring

Source of the payment.

Enum:"api""merchant_user""admin_user""customer_user""payment_gateway""check""guest_checkout"
Example:"customer_user"
amountnumber, (double)

Amount of the payment in USD.

Example:1000
methodstring

Method of payment made by the customer.

Enum:"check""ach_debit""direct_deposit""card""merchant""unapplied_payment_adjustment""credit_note""adjustment""wire"
Example:"ach_debit"
statusstring

Status of the payment.

  • pending - Payment is pending processing.
  • in_transit - Payment has been processed and is in transit.
  • in_review - Payment is being reviewed.
  • paid - Payment has been confirmed and applied to the customer's account.
  • failed - Payment failed confirmation (e.g., bank transfer or credit card payment rejected).
  • canceled - Payment was canceled by request.
Enum:"pending""in_transit""in_review""paid""failed""canceled"
Example:"paid"
created_atstring, (date-time)

Date the payment was created.

Example:"2020-01-01T00:00:00.730Z"
paid_atstring, (date-time)

Date the payment was confirmed by Resolve and applied to the customer's account.

Example:"2020-01-02T00:00:00.730Z"
canceled_atstring, (date-time)

Date the payment was canceled by request.

Example:null
failed_atstring, (date-time)

Date the payment failed processing.

Example:null
processed_atstring, (date-time)

Date the payment was processed by Resolve.

Example:"2020-01-01T12:00:00.730Z"
scheduled_atstring, (date-time)

Date the payment was scheduled for processing, if applicable.

Example:null
processing_feenumber, (double)

Processing fee for the payment.

Example:25.5
canceled_codestring

Code indicating the reason the payment was canceled.

Example:null
failed_codestring

Code indicating the reason the payment failed processing.

Example:null
dispute_codestring

Code indicating the reason for a payment dispute.

Example:null
forward_reason_codestring or null

Reason code associated with a forwarded payment. This is populated when the payment was created through the merchant API and may be null for partner API-created payments.

Enum:"ach""check""wire""credit_card""other"
Example:null
forward_reason_messagestring or null

Human-readable reason text associated with a forwarded payment. This is populated when the payment was created through the merchant API and may be null for partner API-created payments.

Example:null
created_by_user_idstring

ID of the user who created the payment, if applicable.

Example:null
Response
{ "id": "PMMlaE5wbg0", "customer_id": "X50sgfRd", "source": "customer_user", "amount": 1000, "method": "ach_debit", "status": "paid", "created_at": "2020-01-01T00:00:00.730Z", "paid_at": "2020-01-02T00:00:00.730Z", "canceled_at": null, "failed_at": null, "processed_at": "2020-01-01T12:00:00.730Z", "scheduled_at": null, "processing_fee": 25.5, "canceled_code": null, "failed_code": null, "dispute_code": null, "forward_reason_code": null, "forward_reason_message": null, "payment_links": [ { … } ], "created_by_user_id": null }